%define name vrrpd
%define version 0.4
%define release 1mdk

Summary: Virtual Router Redundancy Protocol Daemon
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Servers
URL: http://w3.arobas.net/~jetienne/vrrpd/index.html
Source: http://w3.arobas.net/~jetienne/vrrpd/%{name}-%{version}.tar.bz2
Source1: vrrpd.init
Source2: vrrpd.sysconfig
Source3: vrrpd-wrapper
Buildroot: %{_tmppath}/%{name}-root

%description 
VRRPd is an implementation of VRRPv2 as specified in rfc2338.
In short, VRRP is a protocol which elects a master server on a LAN.
If the master fails, a backup server takes over. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}

%build
%make

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig

install -m755 vrrpd $RPM_BUILD_ROOT%{_sbindir}
install -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}
install -m644 vrrpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/vrrpd
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vrrpd

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/sbin/chkconfig --add vrrpd

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/vrrpd ]; then
         /sbin/service vrrpd stop
		fi
   /sbin/chkconfig --del vrrpd
fi

%postun

%files
%defattr(-,root,root)
%attr(755,root,root) %config(noreplace) %{_initrddir}/vrrpd
%config(noreplace) %{_sysconfdir}/sysconfig/vrrpd
%attr(644,root,root) %dir %{_mandir}/man8/*
%attr(755,root,root) %dir %{_sbindir}/*

%doc doc/* Changes FAQ INSTALL TODO route.generic

%changelog
* Wed Mar 21 2001 Philippe Libat  <philippe@mandrakesoft.com> 0.4-1mdk
- Mandrake first spec
